.. SPDX-License-Identifier: GFDL-1.1-no-invariants-or-later

.. _user-func:

******************
Function Reference
******************


.. toctree::
    :maxdepth: 1

    func-close
    func-ioctl
    vidioc-create-bufs
    vidioc-cropcap
    vidioc-dbg-g-chip-info
    vidioc-dbg-g-register
    vidioc-decoder-cmd
    vidioc-dqevent
    vidioc-dv-timings-cap
    vidioc-encoder-cmd
    vidioc-enumaudio
    vidioc-enumaudioout
    vidioc-enum-dv-timings
    vidioc-enum-fmt
    vidioc-enum-framesizes
    vidioc-enum-frameintervals
    vidioc-enum-freq-bands
    vidioc-enuminput
    vidioc-enumoutput
    vidioc-enumstd
    vidioc-expbuf
    vidioc-g-audio
    vidioc-g-audioout
    vidioc-g-crop
    vidioc-g-ctrl
    vidioc-g-dv-timings
    vidioc-g-edid
    vidioc-g-enc-index
    vidioc-g-ext-ctrls
    vidioc-g-fbuf
    vidioc-g-fmt
    vidioc-g-frequency
    vidioc-g-input
    vidioc-g-jpegcomp
    vidioc-g-modulator
    vidioc-g-output
    vidioc-g-parm
    vidioc-g-priority
    vidioc-g-selection
    vidioc-g-sliced-vbi-cap
    vidioc-g-std
    vidioc-g-tuner
    vidioc-log-status
    vidioc-overlay
    vidioc-prepare-buf
    vidioc-qbuf
    vidioc-querybuf
    vidioc-querycap
    vidioc-queryctrl
    vidioc-query-dv-timings
    vidioc-querystd
    vidioc-reqbufs
    vidioc-s-hw-freq-seek
    vidioc-streamon
    vidioc-subdev-enum-frame-interval
    vidioc-subdev-enum-frame-size
    vidioc-subdev-enum-mbus-code
    vidioc-subdev-g-crop
    vidioc-subdev-g-fmt
    vidioc-subdev-g-frame-interval
    vidioc-subdev-g-selection
    vidioc-subdev-querycap
    vidioc-subscribe-event
    func-mmap
    func-munmap
    func-open
    func-poll
    func-read
    func-select
    func-write
